-- Version: 9.1 9.1.0.18

library ieee;
use ieee.std_logic_1164.all;
library smartfusion;
use smartfusion.all;

entity TOP_FLAC_PLAYER is

    port( EMC_CLK     : out   std_logic;
          EMC_CS0_N   : out   std_logic;
          EMC_CS1_N   : out   std_logic;
          EMC_OEN0_N  : out   std_logic;
          EMC_OEN1_N  : out   std_logic;
          EMC_RW_N    : out   std_logic;
          UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic;
          SPI_1_DO    : out   std_logic;
          SPI_1_SS    : inout std_logic := 'Z';
          SPI_1_CLK   : inout std_logic := 'Z';
          SPI_1_DI    : in    std_logic;
          MSS_RESET_N : in    std_logic;
          MAINXIN     : in    std_logic;
          SDD_0       : out   std_logic;
          VAREF0      : in    std_logic;
          EMC_DB      : inout std_logic_vector(15 downto 0) := (others => 'Z');
          EMC_AB      : out   std_logic_vector(25 downto 0);
          EMC_BYTEN   : out   std_logic_vector(1 downto 0)
        );

end TOP_FLAC_PLAYER;

architecture DEF_ARCH of TOP_FLAC_PLAYER is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component MSS_FLAC_PLAYER
    port( EMC_CLK     : out   std_logic;
          EMC_CS0_N   : out   std_logic;
          EMC_CS1_N   : out   std_logic;
          EMC_OEN0_N  : out   std_logic;
          EMC_OEN1_N  : out   std_logic;
          EMC_RW_N    : out   std_logic;
          UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic := 'U';
          SPI_1_DI    : in    std_logic := 'U';
          SPI_1_DO    : out   std_logic;
          SPI_1_CLK   : inout   std_logic;
          SPI_1_SS    : inout   std_logic;
          MSS_RESET_N : in    std_logic := 'U';
          FAB_CLK     : out   std_logic;
          MAINXIN     : in    std_logic := 'U';
          SDD_0       : out   std_logic;
          VAREF0      : in    std_logic := 'U';
          MSSPSEL     : out   std_logic;
          MSSPENABLE  : out   std_logic;
          MSSPWRITE   : out   std_logic;
          MSSPREADY   : in    std_logic := 'U';
          MSSPSLVERR  : in    std_logic := 'U';
          FABPSEL     : in    std_logic := 'U';
          FABPENABLE  : in    std_logic := 'U';
          FABPWRITE   : in    std_logic := 'U';
          FABPREADY   : out   std_logic;
          FABPSLVERR  : out   std_logic;
          M2F_RESET_N : out   std_logic;
          F2M_GPI_5   : in    std_logic := 'U';
          M2F_GPO_4   : out   std_logic;
          M2F_GPO_3   : out   std_logic;
          F2M_GPI_2   : in    std_logic := 'U';
          M2F_GPO_1   : out   std_logic;
          F2M_GPI_0   : in    std_logic := 'U';
          EMC_DB      : inout   std_logic_vector(15 downto 0);
          EMC_AB      : out   std_logic_vector(25 downto 0);
          EMC_BYTEN   : out   std_logic_vector(1 downto 0);
          MSSPADDR    : out   std_logic_vector(19 downto 0);
          MSSPRDATA   : in    std_logic_vector(31 downto 0) := (others => 'U');
          MSSPWDATA   : out   std_logic_vector(31 downto 0);
          FABPADDR    : in    std_logic_vector(31 downto 0) := (others => 'U');
          FABPRDATA   : out   std_logic_vector(31 downto 0);
          FABPWDATA   : in    std_logic_vector(31 downto 0) := (others => 'U')
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal \FLAC_DECODER_0_APB_bif_1_PADDR_[0]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[1]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[2]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[3]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[4]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[5]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[6]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[7]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[8]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[9]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[10]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[11]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[12]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[13]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[14]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[15]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[16]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[17]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[18]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[19]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[20]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[21]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[22]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[23]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[24]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[25]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[26]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[27]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[28]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[29]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[30]\, 
        \FLAC_DECODER_0_APB_bif_1_PADDR_[31]\, 
        FLAC_DECODER_0_APB_bif_1_PENABLE, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[0]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[1]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[2]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[3]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[4]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[5]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[6]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[7]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[8]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[9]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[10]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[11]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[12]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[13]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[14]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[15]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[16]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[17]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[18]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[19]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[20]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[21]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[22]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[23]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[24]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[25]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[26]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[27]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[28]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[29]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[30]\, 
        \FLAC_DECODER_0_APB_bif_1_PRDATA_[31]\, 
        FLAC_DECODER_0_APB_bif_1_PREADY, 
        FLAC_DECODER_0_APB_bif_1_PSELx, 
        FLAC_DECODER_0_APB_bif_1_PSLVERR, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[0]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[1]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[2]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[3]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[4]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[5]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[6]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[7]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[8]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[9]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[10]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[11]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[12]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[13]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[14]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[15]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[16]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[17]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[18]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[19]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[20]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[21]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[22]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[23]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[24]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[25]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[26]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[27]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[28]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[29]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[30]\, 
        \FLAC_DECODER_0_APB_bif_1_PWDATA_[31]\, 
        FLAC_DECODER_0_APB_bif_1_PWRITE, FLAC_DECODER_0_stop1, 
        FLAC_DECODER_0_stop2, FLAC_DECODER_0_STOP3, 
        MSS_FLAC_PLAYER_0_FAB_CLK, MSS_FLAC_PLAYER_0_M2F_GPO_1, 
        MSS_FLAC_PLAYER_0_M2F_GPO_3, MSS_FLAC_PLAYER_0_M2F_GPO_4, 
        MSS_FLAC_PLAYER_0_M2F_RESET_N, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[0]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[1]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[2]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[3]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[4]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[5]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[6]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[7]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[8]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[9]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[10]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[11]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[12]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[13]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[14]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[15]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[16]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[17]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[18]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[19]\, 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PENABLE, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[0]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[1]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[2]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[3]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[4]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[5]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[6]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[7]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[8]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[9]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[10]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[11]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[12]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[13]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[14]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[15]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[16]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[17]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[18]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[19]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[20]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[21]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[22]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[23]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[24]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[25]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[26]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[27]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[28]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[29]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[30]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[31]\, 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PREADY, 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PSELx, 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PSLVERR, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[0]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[1]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[2]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[3]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[4]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[5]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[6]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[7]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[8]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[9]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[10]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[11]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[12]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[13]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[14]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[15]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[16]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[17]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[18]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[19]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[20]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[21]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[22]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[23]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[24]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[25]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[26]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[27]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[28]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[29]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[30]\, 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[31]\, 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWRITE, GND_net, VCC_net
         : std_logic;

begin 


    \VCC\ : VCC
      port map(Y => VCC_net);
    
    MSS_FLAC_PLAYER_0 : MSS_FLAC_PLAYER
      port map(EMC_CLK => EMC_CLK, EMC_CS0_N => EMC_CS0_N, 
        EMC_CS1_N => EMC_CS1_N, EMC_OEN0_N => EMC_OEN0_N, 
        EMC_OEN1_N => EMC_OEN1_N, EMC_RW_N => EMC_RW_N, 
        UART_0_TXD => UART_0_TXD, UART_0_RXD => UART_0_RXD, 
        SPI_1_DI => SPI_1_DI, SPI_1_DO => SPI_1_DO, SPI_1_CLK => 
        SPI_1_CLK, SPI_1_SS => SPI_1_SS, MSS_RESET_N => 
        MSS_RESET_N, FAB_CLK => MSS_FLAC_PLAYER_0_FAB_CLK, 
        MAINXIN => MAINXIN, SDD_0 => SDD_0, VAREF0 => VAREF0, 
        MSSPSEL => MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PSELx, 
        MSSPENABLE => MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PENABLE, 
        MSSPWRITE => MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWRITE, 
        MSSPREADY => MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PREADY, 
        MSSPSLVERR => MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PSLVERR, 
        FABPSEL => FLAC_DECODER_0_APB_bif_1_PSELx, FABPENABLE => 
        FLAC_DECODER_0_APB_bif_1_PENABLE, FABPWRITE => 
        FLAC_DECODER_0_APB_bif_1_PWRITE, FABPREADY => 
        FLAC_DECODER_0_APB_bif_1_PREADY, FABPSLVERR => 
        FLAC_DECODER_0_APB_bif_1_PSLVERR, M2F_RESET_N => 
        MSS_FLAC_PLAYER_0_M2F_RESET_N, F2M_GPI_5 => 
        FLAC_DECODER_0_stop2, M2F_GPO_4 => 
        MSS_FLAC_PLAYER_0_M2F_GPO_4, M2F_GPO_3 => 
        MSS_FLAC_PLAYER_0_M2F_GPO_3, F2M_GPI_2 => 
        FLAC_DECODER_0_stop1, M2F_GPO_1 => 
        MSS_FLAC_PLAYER_0_M2F_GPO_1, F2M_GPI_0 => 
        FLAC_DECODER_0_STOP3, EMC_DB(15) => EMC_DB(15), 
        EMC_DB(14) => EMC_DB(14), EMC_DB(13) => EMC_DB(13), 
        EMC_DB(12) => EMC_DB(12), EMC_DB(11) => EMC_DB(11), 
        EMC_DB(10) => EMC_DB(10), EMC_DB(9) => EMC_DB(9), 
        EMC_DB(8) => EMC_DB(8), EMC_DB(7) => EMC_DB(7), EMC_DB(6)
         => EMC_DB(6), EMC_DB(5) => EMC_DB(5), EMC_DB(4) => 
        EMC_DB(4), EMC_DB(3) => EMC_DB(3), EMC_DB(2) => EMC_DB(2), 
        EMC_DB(1) => EMC_DB(1), EMC_DB(0) => EMC_DB(0), 
        EMC_AB(25) => EMC_AB(25), EMC_AB(24) => EMC_AB(24), 
        EMC_AB(23) => EMC_AB(23), EMC_AB(22) => EMC_AB(22), 
        EMC_AB(21) => EMC_AB(21), EMC_AB(20) => EMC_AB(20), 
        EMC_AB(19) => EMC_AB(19), EMC_AB(18) => EMC_AB(18), 
        EMC_AB(17) => EMC_AB(17), EMC_AB(16) => EMC_AB(16), 
        EMC_AB(15) => EMC_AB(15), EMC_AB(14) => EMC_AB(14), 
        EMC_AB(13) => EMC_AB(13), EMC_AB(12) => EMC_AB(12), 
        EMC_AB(11) => EMC_AB(11), EMC_AB(10) => EMC_AB(10), 
        EMC_AB(9) => EMC_AB(9), EMC_AB(8) => EMC_AB(8), EMC_AB(7)
         => EMC_AB(7), EMC_AB(6) => EMC_AB(6), EMC_AB(5) => 
        EMC_AB(5), EMC_AB(4) => EMC_AB(4), EMC_AB(3) => EMC_AB(3), 
        EMC_AB(2) => EMC_AB(2), EMC_AB(1) => EMC_AB(1), EMC_AB(0)
         => EMC_AB(0), EMC_BYTEN(1) => EMC_BYTEN(1), EMC_BYTEN(0)
         => EMC_BYTEN(0), MSSPADDR(19) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[19]\, 
        MSSPADDR(18) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[18]\, 
        MSSPADDR(17) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[17]\, 
        MSSPADDR(16) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[16]\, 
        MSSPADDR(15) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[15]\, 
        MSSPADDR(14) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[14]\, 
        MSSPADDR(13) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[13]\, 
        MSSPADDR(12) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[12]\, 
        MSSPADDR(11) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[11]\, 
        MSSPADDR(10) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[10]\, 
        MSSPADDR(9) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[9]\, MSSPADDR(8)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[8]\, 
        MSSPADDR(7) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[7]\, MSSPADDR(6)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[6]\, 
        MSSPADDR(5) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[5]\, MSSPADDR(4)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[4]\, 
        MSSPADDR(3) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[3]\, MSSPADDR(2)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[2]\, 
        MSSPADDR(1) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[1]\, MSSPADDR(0)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[0]\, 
        MSSPRDATA(31) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[31]\, 
        MSSPRDATA(30) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[30]\, 
        MSSPRDATA(29) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[29]\, 
        MSSPRDATA(28) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[28]\, 
        MSSPRDATA(27) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[27]\, 
        MSSPRDATA(26) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[26]\, 
        MSSPRDATA(25) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[25]\, 
        MSSPRDATA(24) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[24]\, 
        MSSPRDATA(23) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[23]\, 
        MSSPRDATA(22) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[22]\, 
        MSSPRDATA(21) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[21]\, 
        MSSPRDATA(20) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[20]\, 
        MSSPRDATA(19) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[19]\, 
        MSSPRDATA(18) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[18]\, 
        MSSPRDATA(17) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[17]\, 
        MSSPRDATA(16) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[16]\, 
        MSSPRDATA(15) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[15]\, 
        MSSPRDATA(14) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[14]\, 
        MSSPRDATA(13) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[13]\, 
        MSSPRDATA(12) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[12]\, 
        MSSPRDATA(11) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[11]\, 
        MSSPRDATA(10) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[10]\, 
        MSSPRDATA(9) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[9]\, 
        MSSPRDATA(8) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[8]\, 
        MSSPRDATA(7) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[7]\, 
        MSSPRDATA(6) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[6]\, 
        MSSPRDATA(5) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[5]\, 
        MSSPRDATA(4) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[4]\, 
        MSSPRDATA(3) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[3]\, 
        MSSPRDATA(2) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[2]\, 
        MSSPRDATA(1) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[1]\, 
        MSSPRDATA(0) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[0]\, 
        MSSPWDATA(31) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[31]\, 
        MSSPWDATA(30) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[30]\, 
        MSSPWDATA(29) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[29]\, 
        MSSPWDATA(28) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[28]\, 
        MSSPWDATA(27) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[27]\, 
        MSSPWDATA(26) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[26]\, 
        MSSPWDATA(25) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[25]\, 
        MSSPWDATA(24) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[24]\, 
        MSSPWDATA(23) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[23]\, 
        MSSPWDATA(22) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[22]\, 
        MSSPWDATA(21) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[21]\, 
        MSSPWDATA(20) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[20]\, 
        MSSPWDATA(19) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[19]\, 
        MSSPWDATA(18) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[18]\, 
        MSSPWDATA(17) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[17]\, 
        MSSPWDATA(16) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[16]\, 
        MSSPWDATA(15) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[15]\, 
        MSSPWDATA(14) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[14]\, 
        MSSPWDATA(13) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[13]\, 
        MSSPWDATA(12) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[12]\, 
        MSSPWDATA(11) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[11]\, 
        MSSPWDATA(10) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[10]\, 
        MSSPWDATA(9) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[9]\, 
        MSSPWDATA(8) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[8]\, 
        MSSPWDATA(7) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[7]\, 
        MSSPWDATA(6) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[6]\, 
        MSSPWDATA(5) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[5]\, 
        MSSPWDATA(4) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[4]\, 
        MSSPWDATA(3) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[3]\, 
        MSSPWDATA(2) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[2]\, 
        MSSPWDATA(1) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[1]\, 
        MSSPWDATA(0) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[0]\, 
        FABPADDR(31) => \FLAC_DECODER_0_APB_bif_1_PADDR_[31]\, 
        FABPADDR(30) => \FLAC_DECODER_0_APB_bif_1_PADDR_[30]\, 
        FABPADDR(29) => \FLAC_DECODER_0_APB_bif_1_PADDR_[29]\, 
        FABPADDR(28) => \FLAC_DECODER_0_APB_bif_1_PADDR_[28]\, 
        FABPADDR(27) => \FLAC_DECODER_0_APB_bif_1_PADDR_[27]\, 
        FABPADDR(26) => \FLAC_DECODER_0_APB_bif_1_PADDR_[26]\, 
        FABPADDR(25) => \FLAC_DECODER_0_APB_bif_1_PADDR_[25]\, 
        FABPADDR(24) => \FLAC_DECODER_0_APB_bif_1_PADDR_[24]\, 
        FABPADDR(23) => \FLAC_DECODER_0_APB_bif_1_PADDR_[23]\, 
        FABPADDR(22) => \FLAC_DECODER_0_APB_bif_1_PADDR_[22]\, 
        FABPADDR(21) => \FLAC_DECODER_0_APB_bif_1_PADDR_[21]\, 
        FABPADDR(20) => \FLAC_DECODER_0_APB_bif_1_PADDR_[20]\, 
        FABPADDR(19) => \FLAC_DECODER_0_APB_bif_1_PADDR_[19]\, 
        FABPADDR(18) => \FLAC_DECODER_0_APB_bif_1_PADDR_[18]\, 
        FABPADDR(17) => \FLAC_DECODER_0_APB_bif_1_PADDR_[17]\, 
        FABPADDR(16) => \FLAC_DECODER_0_APB_bif_1_PADDR_[16]\, 
        FABPADDR(15) => \FLAC_DECODER_0_APB_bif_1_PADDR_[15]\, 
        FABPADDR(14) => \FLAC_DECODER_0_APB_bif_1_PADDR_[14]\, 
        FABPADDR(13) => \FLAC_DECODER_0_APB_bif_1_PADDR_[13]\, 
        FABPADDR(12) => \FLAC_DECODER_0_APB_bif_1_PADDR_[12]\, 
        FABPADDR(11) => \FLAC_DECODER_0_APB_bif_1_PADDR_[11]\, 
        FABPADDR(10) => \FLAC_DECODER_0_APB_bif_1_PADDR_[10]\, 
        FABPADDR(9) => \FLAC_DECODER_0_APB_bif_1_PADDR_[9]\, 
        FABPADDR(8) => \FLAC_DECODER_0_APB_bif_1_PADDR_[8]\, 
        FABPADDR(7) => \FLAC_DECODER_0_APB_bif_1_PADDR_[7]\, 
        FABPADDR(6) => \FLAC_DECODER_0_APB_bif_1_PADDR_[6]\, 
        FABPADDR(5) => \FLAC_DECODER_0_APB_bif_1_PADDR_[5]\, 
        FABPADDR(4) => \FLAC_DECODER_0_APB_bif_1_PADDR_[4]\, 
        FABPADDR(3) => \FLAC_DECODER_0_APB_bif_1_PADDR_[3]\, 
        FABPADDR(2) => \FLAC_DECODER_0_APB_bif_1_PADDR_[2]\, 
        FABPADDR(1) => \FLAC_DECODER_0_APB_bif_1_PADDR_[1]\, 
        FABPADDR(0) => \FLAC_DECODER_0_APB_bif_1_PADDR_[0]\, 
        FABPRDATA(31) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[31]\, 
        FABPRDATA(30) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[30]\, 
        FABPRDATA(29) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[29]\, 
        FABPRDATA(28) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[28]\, 
        FABPRDATA(27) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[27]\, 
        FABPRDATA(26) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[26]\, 
        FABPRDATA(25) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[25]\, 
        FABPRDATA(24) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[24]\, 
        FABPRDATA(23) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[23]\, 
        FABPRDATA(22) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[22]\, 
        FABPRDATA(21) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[21]\, 
        FABPRDATA(20) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[20]\, 
        FABPRDATA(19) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[19]\, 
        FABPRDATA(18) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[18]\, 
        FABPRDATA(17) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[17]\, 
        FABPRDATA(16) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[16]\, 
        FABPRDATA(15) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[15]\, 
        FABPRDATA(14) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[14]\, 
        FABPRDATA(13) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[13]\, 
        FABPRDATA(12) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[12]\, 
        FABPRDATA(11) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[11]\, 
        FABPRDATA(10) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[10]\, 
        FABPRDATA(9) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[9]\, 
        FABPRDATA(8) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[8]\, 
        FABPRDATA(7) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[7]\, 
        FABPRDATA(6) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[6]\, 
        FABPRDATA(5) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[5]\, 
        FABPRDATA(4) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[4]\, 
        FABPRDATA(3) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[3]\, 
        FABPRDATA(2) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[2]\, 
        FABPRDATA(1) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[1]\, 
        FABPRDATA(0) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[0]\, 
        FABPWDATA(31) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[31]\, 
        FABPWDATA(30) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[30]\, 
        FABPWDATA(29) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[29]\, 
        FABPWDATA(28) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[28]\, 
        FABPWDATA(27) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[27]\, 
        FABPWDATA(26) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[26]\, 
        FABPWDATA(25) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[25]\, 
        FABPWDATA(24) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[24]\, 
        FABPWDATA(23) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[23]\, 
        FABPWDATA(22) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[22]\, 
        FABPWDATA(21) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[21]\, 
        FABPWDATA(20) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[20]\, 
        FABPWDATA(19) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[19]\, 
        FABPWDATA(18) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[18]\, 
        FABPWDATA(17) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[17]\, 
        FABPWDATA(16) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[16]\, 
        FABPWDATA(15) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[15]\, 
        FABPWDATA(14) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[14]\, 
        FABPWDATA(13) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[13]\, 
        FABPWDATA(12) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[12]\, 
        FABPWDATA(11) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[11]\, 
        FABPWDATA(10) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[10]\, 
        FABPWDATA(9) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[9]\, 
        FABPWDATA(8) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[8]\, 
        FABPWDATA(7) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[7]\, 
        FABPWDATA(6) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[6]\, 
        FABPWDATA(5) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[5]\, 
        FABPWDATA(4) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[4]\, 
        FABPWDATA(3) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[3]\, 
        FABPWDATA(2) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[2]\, 
        FABPWDATA(1) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[1]\, 
        FABPWDATA(0) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[0]\);
    
    FLAC_DECODER_0 : entity work.FLAC_DECODER
      port map(PCLK => MSS_FLAC_PLAYER_0_FAB_CLK, PRESET => 
        MSS_FLAC_PLAYER_0_M2F_RESET_N, SPENABLE => 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PENABLE, SPSEL => 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PSELx, SPWRITE => 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWRITE, SPREADY => 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PREADY, SPSLVERR => 
        MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PSLVERR, MPENABLE => 
        FLAC_DECODER_0_APB_bif_1_PENABLE, MPSEL => 
        FLAC_DECODER_0_APB_bif_1_PSELx, MPWRITE => 
        FLAC_DECODER_0_APB_bif_1_PWRITE, MPREADY => 
        FLAC_DECODER_0_APB_bif_1_PREADY, PSLVERR => 
        FLAC_DECODER_0_APB_bif_1_PSLVERR, START1 => 
        MSS_FLAC_PLAYER_0_M2F_GPO_3, START2 => 
        MSS_FLAC_PLAYER_0_M2F_GPO_4, START3 => 
        MSS_FLAC_PLAYER_0_M2F_GPO_1, STOP1 => 
        FLAC_DECODER_0_stop1, STOP2 => FLAC_DECODER_0_stop2, 
        STOP3 => FLAC_DECODER_0_STOP3, SPWDATA(31) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[31]\, 
        SPWDATA(30) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[30]\, 
        SPWDATA(29) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[29]\, 
        SPWDATA(28) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[28]\, 
        SPWDATA(27) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[27]\, 
        SPWDATA(26) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[26]\, 
        SPWDATA(25) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[25]\, 
        SPWDATA(24) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[24]\, 
        SPWDATA(23) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[23]\, 
        SPWDATA(22) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[22]\, 
        SPWDATA(21) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[21]\, 
        SPWDATA(20) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[20]\, 
        SPWDATA(19) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[19]\, 
        SPWDATA(18) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[18]\, 
        SPWDATA(17) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[17]\, 
        SPWDATA(16) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[16]\, 
        SPWDATA(15) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[15]\, 
        SPWDATA(14) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[14]\, 
        SPWDATA(13) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[13]\, 
        SPWDATA(12) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[12]\, 
        SPWDATA(11) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[11]\, 
        SPWDATA(10) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[10]\, 
        SPWDATA(9) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[9]\, SPWDATA(8)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[8]\, 
        SPWDATA(7) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[7]\, SPWDATA(6)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[6]\, 
        SPWDATA(5) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[5]\, SPWDATA(4)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[4]\, 
        SPWDATA(3) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[3]\, SPWDATA(2)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[2]\, 
        SPWDATA(1) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[1]\, SPWDATA(0)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PWDATA_[0]\, 
        SPADDR(19) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[19]\, SPADDR(18)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[18]\, 
        SPADDR(17) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[17]\, SPADDR(16)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[16]\, 
        SPADDR(15) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[15]\, SPADDR(14)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[14]\, 
        SPADDR(13) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[13]\, SPADDR(12)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[12]\, 
        SPADDR(11) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[11]\, SPADDR(10)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[10]\, 
        SPADDR(9) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[9]\, 
        SPADDR(8) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[8]\, 
        SPADDR(7) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[7]\, 
        SPADDR(6) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[6]\, 
        SPADDR(5) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[5]\, 
        SPADDR(4) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[4]\, 
        SPADDR(3) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[3]\, 
        SPADDR(2) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[2]\, 
        SPADDR(1) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[1]\, 
        SPADDR(0) => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PADDR_[0]\, 
        SPRDATA(31) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[31]\, 
        SPRDATA(30) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[30]\, 
        SPRDATA(29) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[29]\, 
        SPRDATA(28) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[28]\, 
        SPRDATA(27) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[27]\, 
        SPRDATA(26) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[26]\, 
        SPRDATA(25) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[25]\, 
        SPRDATA(24) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[24]\, 
        SPRDATA(23) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[23]\, 
        SPRDATA(22) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[22]\, 
        SPRDATA(21) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[21]\, 
        SPRDATA(20) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[20]\, 
        SPRDATA(19) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[19]\, 
        SPRDATA(18) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[18]\, 
        SPRDATA(17) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[17]\, 
        SPRDATA(16) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[16]\, 
        SPRDATA(15) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[15]\, 
        SPRDATA(14) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[14]\, 
        SPRDATA(13) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[13]\, 
        SPRDATA(12) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[12]\, 
        SPRDATA(11) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[11]\, 
        SPRDATA(10) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[10]\, 
        SPRDATA(9) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[9]\, SPRDATA(8)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[8]\, 
        SPRDATA(7) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[7]\, SPRDATA(6)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[6]\, 
        SPRDATA(5) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[5]\, SPRDATA(4)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[4]\, 
        SPRDATA(3) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[3]\, SPRDATA(2)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[2]\, 
        SPRDATA(1) => 
        \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[1]\, SPRDATA(0)
         => \MSS_FLAC_PLAYER_0_MSS_MASTER_APB_PRDATA_[0]\, 
        MPWDATA(31) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[31]\, 
        MPWDATA(30) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[30]\, 
        MPWDATA(29) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[29]\, 
        MPWDATA(28) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[28]\, 
        MPWDATA(27) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[27]\, 
        MPWDATA(26) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[26]\, 
        MPWDATA(25) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[25]\, 
        MPWDATA(24) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[24]\, 
        MPWDATA(23) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[23]\, 
        MPWDATA(22) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[22]\, 
        MPWDATA(21) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[21]\, 
        MPWDATA(20) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[20]\, 
        MPWDATA(19) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[19]\, 
        MPWDATA(18) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[18]\, 
        MPWDATA(17) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[17]\, 
        MPWDATA(16) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[16]\, 
        MPWDATA(15) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[15]\, 
        MPWDATA(14) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[14]\, 
        MPWDATA(13) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[13]\, 
        MPWDATA(12) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[12]\, 
        MPWDATA(11) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[11]\, 
        MPWDATA(10) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[10]\, 
        MPWDATA(9) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[9]\, 
        MPWDATA(8) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[8]\, 
        MPWDATA(7) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[7]\, 
        MPWDATA(6) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[6]\, 
        MPWDATA(5) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[5]\, 
        MPWDATA(4) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[4]\, 
        MPWDATA(3) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[3]\, 
        MPWDATA(2) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[2]\, 
        MPWDATA(1) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[1]\, 
        MPWDATA(0) => \FLAC_DECODER_0_APB_bif_1_PWDATA_[0]\, 
        MPADDR(31) => \FLAC_DECODER_0_APB_bif_1_PADDR_[31]\, 
        MPADDR(30) => \FLAC_DECODER_0_APB_bif_1_PADDR_[30]\, 
        MPADDR(29) => \FLAC_DECODER_0_APB_bif_1_PADDR_[29]\, 
        MPADDR(28) => \FLAC_DECODER_0_APB_bif_1_PADDR_[28]\, 
        MPADDR(27) => \FLAC_DECODER_0_APB_bif_1_PADDR_[27]\, 
        MPADDR(26) => \FLAC_DECODER_0_APB_bif_1_PADDR_[26]\, 
        MPADDR(25) => \FLAC_DECODER_0_APB_bif_1_PADDR_[25]\, 
        MPADDR(24) => \FLAC_DECODER_0_APB_bif_1_PADDR_[24]\, 
        MPADDR(23) => \FLAC_DECODER_0_APB_bif_1_PADDR_[23]\, 
        MPADDR(22) => \FLAC_DECODER_0_APB_bif_1_PADDR_[22]\, 
        MPADDR(21) => \FLAC_DECODER_0_APB_bif_1_PADDR_[21]\, 
        MPADDR(20) => \FLAC_DECODER_0_APB_bif_1_PADDR_[20]\, 
        MPADDR(19) => \FLAC_DECODER_0_APB_bif_1_PADDR_[19]\, 
        MPADDR(18) => \FLAC_DECODER_0_APB_bif_1_PADDR_[18]\, 
        MPADDR(17) => \FLAC_DECODER_0_APB_bif_1_PADDR_[17]\, 
        MPADDR(16) => \FLAC_DECODER_0_APB_bif_1_PADDR_[16]\, 
        MPADDR(15) => \FLAC_DECODER_0_APB_bif_1_PADDR_[15]\, 
        MPADDR(14) => \FLAC_DECODER_0_APB_bif_1_PADDR_[14]\, 
        MPADDR(13) => \FLAC_DECODER_0_APB_bif_1_PADDR_[13]\, 
        MPADDR(12) => \FLAC_DECODER_0_APB_bif_1_PADDR_[12]\, 
        MPADDR(11) => \FLAC_DECODER_0_APB_bif_1_PADDR_[11]\, 
        MPADDR(10) => \FLAC_DECODER_0_APB_bif_1_PADDR_[10]\, 
        MPADDR(9) => \FLAC_DECODER_0_APB_bif_1_PADDR_[9]\, 
        MPADDR(8) => \FLAC_DECODER_0_APB_bif_1_PADDR_[8]\, 
        MPADDR(7) => \FLAC_DECODER_0_APB_bif_1_PADDR_[7]\, 
        MPADDR(6) => \FLAC_DECODER_0_APB_bif_1_PADDR_[6]\, 
        MPADDR(5) => \FLAC_DECODER_0_APB_bif_1_PADDR_[5]\, 
        MPADDR(4) => \FLAC_DECODER_0_APB_bif_1_PADDR_[4]\, 
        MPADDR(3) => \FLAC_DECODER_0_APB_bif_1_PADDR_[3]\, 
        MPADDR(2) => \FLAC_DECODER_0_APB_bif_1_PADDR_[2]\, 
        MPADDR(1) => \FLAC_DECODER_0_APB_bif_1_PADDR_[1]\, 
        MPADDR(0) => \FLAC_DECODER_0_APB_bif_1_PADDR_[0]\, 
        MPRDATA(31) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[31]\, 
        MPRDATA(30) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[30]\, 
        MPRDATA(29) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[29]\, 
        MPRDATA(28) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[28]\, 
        MPRDATA(27) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[27]\, 
        MPRDATA(26) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[26]\, 
        MPRDATA(25) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[25]\, 
        MPRDATA(24) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[24]\, 
        MPRDATA(23) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[23]\, 
        MPRDATA(22) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[22]\, 
        MPRDATA(21) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[21]\, 
        MPRDATA(20) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[20]\, 
        MPRDATA(19) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[19]\, 
        MPRDATA(18) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[18]\, 
        MPRDATA(17) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[17]\, 
        MPRDATA(16) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[16]\, 
        MPRDATA(15) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[15]\, 
        MPRDATA(14) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[14]\, 
        MPRDATA(13) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[13]\, 
        MPRDATA(12) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[12]\, 
        MPRDATA(11) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[11]\, 
        MPRDATA(10) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[10]\, 
        MPRDATA(9) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[9]\, 
        MPRDATA(8) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[8]\, 
        MPRDATA(7) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[7]\, 
        MPRDATA(6) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[6]\, 
        MPRDATA(5) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[5]\, 
        MPRDATA(4) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[4]\, 
        MPRDATA(3) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[3]\, 
        MPRDATA(2) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[2]\, 
        MPRDATA(1) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[1]\, 
        MPRDATA(0) => \FLAC_DECODER_0_APB_bif_1_PRDATA_[0]\);
    
    \GND\ : GND
      port map(Y => GND_net);
    

end DEF_ARCH; 
